import useSDKFactory from './useSDKFactory';
import useAccount from './useAccount';
import { UseCase, } from '@inkerlabs/sdk';
export default function useBuyPrivateFactory(useCase) {
    return function useBuyPrivate() {
        var sdk = useSDKFactory()();
        useAccount();
        switch (useCase) {
            case UseCase.PASS:
                var passSDK_1 = sdk;
                //@ts-ignore
                return function (assetId) { return passSDK_1.buyPrivate(assetId); };
            case UseCase.RR:
                var rrSDK_1 = sdk;
                return function () { return rrSDK_1.buyPrivate(); };
            case UseCase.SR:
                var srSDK_1 = sdk;
                return function () { return srSDK_1.buyPrivate(); };
            default:
                throw new Error("Unknown use case ".concat(useCase));
        }
    };
}
